<template lang="pug">
  .popup-content
    .title
      slot(name="title")
    .text
      slot(name="text")
    slot(name="content")
    .footer
      slot(name="footer")
</template>

<style lang="scss" scoped>
  @import '../../assets/css/variables';
  @import '../../assets/css/effects';

  .popup-content {
    width: 100%;
    color: #000;

    .title {
      font-size: 32px;
      font-weight: bold;
    }

    .text {
      padding: 18px 0 16px 0;
      color: #999999;
      font-size: 18px;
    }

    .footer {
      padding-top: 4px;
      font-size: 16px;
      text-align: center;
    }
  }
</style>
